Bug 29315 - Remove warnings from Search.t
Summary: Remove warnings from Search.t
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25515
  Show dependency treegraph
 
Reported: 2021-10-25 12:37 UTC by Jonathan Druart
Modified: 2021-11-15 04:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12


Attachments
Bug 29315: Remove warnings from Search.t (1.51 KB, patch)
2021-10-25 12:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-10-25 12:37:37 UTC
"""
The syspref SearchLimitLibrary was requested but I don't know what to say; this indicates that the test requires updating at t/db_dependent/Search.t line 198.
The syspref FacetOrder was requested but I don't know what to say; this indicates that the test requires updating at t/db_dependent/Search.t line 198.
The syspref OPACResultsUnavailableGroupingBy was requested but I don't know what to say; this indicates that the test requires updating at t/db_dependent/Search.t line 198.
"""
Comment 1 Jonathan Druart 2021-10-25 12:38:29 UTC
Created attachment 126823 [details] [review]
Bug 29315: Remove warnings from Search.t

The syspref SearchLimitLibrary was requested but I don't know what to
say; this indicates that the test requires updating at
t/db_dependent/Search.t line 198.
The syspref FacetOrder was requested but I don't know what to say; this
indicates that the test requires updating at t/db_dependent/Search.t
line 198.
The syspref OPACResultsUnavailableGroupingBy was requested but I don't
know what to say; this indicates that the test requires updating at
t/db_dependent/Search.t line 198.
Comment 2 Jonathan Druart 2021-10-25 13:59:31 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 3 Kyle M Hall 2021-10-29 14:02:59 UTC
Pushed to 21.05.x for 21.05.05
Comment 4 Fridolin Somers 2021-11-10 23:40:49 UTC
Pushed to 20.11.x for 20.11.12
Comment 5 Victor Grousset/tuxayo 2021-11-15 04:39:26 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.